//
// C++ Interface: cinsertcolumn
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CINSERTCOLUMN_H
#define CINSERTCOLUMN_H

#include <QUndoCommand>
class QAbstractItemModel;

/**
	@author Arne Schmitt <arne@as4m.de>
*/
class cInsertColumn : public QUndoCommand
{
public:
    cInsertColumn(QAbstractItemModel *m,const int c,const QString& t, QUndoCommand* parent=0);

    ~cInsertColumn();

    virtual void redo();
    virtual void undo();
    
protected:
	int col;
	QString title;
	QAbstractItemModel *model;
};

#endif
