//
// C++ Implementation: direktmultidiagramadapter
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "direktmultidiagramadapter.h"
#include "diagram.h"
#include <QStandardItemModel>
#include <QtDebug>

DirektMultiDiagramAdapter::DirektMultiDiagramAdapter()
 : ModelMultiDiagramAdapter()
{
}


DirektMultiDiagramAdapter::~DirektMultiDiagramAdapter()
{
}


void DirektMultiDiagramAdapter::updateDiagram()
{
	if(!td || !_model) return;
	using namespace std;

	QVector<double> sdata(_model->rowCount() * Spalten.size());
	int ic=0;
	
	for(QVector<int>::iterator it=Spalten.begin();it!=Spalten.end();++it)
	{
		for(int i=0;i<_model->rowCount();++i)
		{
			sdata[ic++] = _model->data(_model->index(i,*it)).toDouble();
		}
	}
	
	td->setData(sdata);
	td->setRowWidth(_model->rowCount());
}

