//
// C++ Interface: tabelle1
//
// Description: 
//
//
// Author: Arne Schmitt <arne@as4m.de>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef _TABELLE1_
#define _TABELLE1_

#include "modelclient.h"
class QTableView;
class QStandardItemModel;
class QSortFilterProxyModel;

class Tabelle1 : public ModelClient
{
	Q_OBJECT
	public:
	Tabelle1(QWidget *parent=0);

	void setModel(QStandardItemModel *m);
    	QTableView* table();
	
	protected:
		QTableView *tab;
		QList<int> hiddenColumns;
		QSortFilterProxyModel *pModel;

	public slots:
		void hideSelectedColumns();
};

#endif
